0.0.2 • Published 4 years ago

news-api-ajani v0.0.2

Weekly downloads
-
License
MIT
Repository
-
Last release
4 years ago

news - Angular news api

npm version, Build Status Coverage Status dependency Status devDependency Status Greenkeeper Badge

Demo

View all the directives in action at https://ajanieniolasolomon.github.io/news

Dependencies

  • Angular (requires Angular 2 or higher, tested with 2.0.0)

Installation

Install above dependencies via npm.

Now install news-api via:

npm install --save news-api

SystemJS

Note:If you are using SystemJS, you should adjust your configuration to point to the UMD bundle. In your systemjs config file, map needs to tell the System loader where to look for news-api:

map: {
  'news-api': 'node_modules/news-api/bundles/news-api.umd.js',
}

Once installed you need to import the main module:

import { LibModule } from 'news-api';

The only remaining part is to list the imported module in your application module. The exact method will be slightly different for the root (top-level) module for which you should end up with the code similar to (notice LibModule .forRoot()):

import { LibModule } from 'news-api';

@NgModule({
  declarations: [AppComponent, ...],
  imports: [LibModule.forRoot(), ...],  
  bootstrap: [AppComponent]
})
export class AppModule {
}

Other modules in your application can simply import LibModule:

import { LibModule } from 'news-api';

@NgModule({
  declarations: [OtherComponent, ...],
  imports: [LibModule, ...], 
})
export class OtherModule {
}

Usage

License

Copyright (c) 2018 ajani eniola. Licensed under the MIT License (MIT)

0.0.2

4 years ago